Loading...
Searching...
No Matches
CxxTest::StdTraitsBase Class Reference

`#include <StdValueTraits.h>`

## Public Member Functions

StdTraitsBase & | operator<< (const CXXTEST_STD(string) &s)
const char * | asString () const

## Private Member Functions

| CXXTEST_STD (string) _s

## Detailed Description

Definition at line 33 of file StdValueTraits.h.

## Member Function Documentation

## asString()

const char * CxxTest::StdTraitsBase::asString | ( | void |  | ) | const

inline

Definition at line 37 of file StdValueTraits.h.

{ return _s.c_str(); }

## CXXTEST_STD()

CxxTest::StdTraitsBase::CXXTEST_STD | ( | string |  | ) |

private

## operator<<()

StdTraitsBase & CxxTest::StdTraitsBase::operator<< | ( | const CXXTEST_STD(string) & | s | ) |

inline

Definition at line 36 of file StdValueTraits.h.

{ _s += s; return *this; }
CxxTest::s
char * s
Definition ValueTraits.h:143

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/StdValueTraits.h